<div align="center">
  <a href="https://www.npmjs.com/package/kinka">
    <img width="350" height="104" src="https://github.com/acacode/kinka/raw/master/logo.png">
  </a>
  <br>
  <h1>
    <a href="https://github.com/acacode/kinka/blob/master/LICENSE"><img src="https://img.shields.io/badge/license-MIT-red.svg?style=flat-square"></a><a href="https://www.npmjs.com/package/kinka"><img src="https://img.shields.io/npm/v/kinka.svg?style=flat-square"></a><a href="https://travis-ci.org/acacode/kinka"><img src="https://img.shields.io/travis/acacode/kinka.svg?style=flat-square"></a><a href="https://www.codefactor.io/repository/github/acacode/kinka/overview/master"><img src="https://www.codefactor.io/repository/github/acacode/kinka/badge/master?style=flat-square"></a><br><a href="http://npm-stat.com/charts.html?package=kinka"><img src="https://img.shields.io/npm/dm/kinka.svg?style=flat-square"></a><a href="https://bundlephobia.com/result?p=kinka"><img src="https://flat.badgen.net/bundlephobia/min/kinka"></a><a href="https://bundlephobia.com/result?p=kinka"><img src="https://flat.badgen.net/bundlephobia/minzip/kinka"></a>
  </h1>
  <p>
    ⚡️ HTTP web client for browsers ⚡️
  </p>
</div>

**kinka** it is very light weight 💨 ([**4KB min**, **1.8KB minzip**](https://bundlephobia.com/result?p=kinka)) and more powerful JavaScript library  
It will reduce your http code (which are using [XMLHttpRequests](https://developer.mozilla.org/en-US/docs/Web/API/XMLHttpRequest)) and allows http code more simple and easy to read.

## 🚀 Installation

    $ npm i -S kinka
    # or using yarn
    $ yarn add kinka

## 📚 Documentation & Examples

[Documentation](./docs/documentation.md)  
[Examples](./examples)  
[Sandbox](https://jsfiddle.net/js2me/0y3ng8xu/)  

## Why kinka ❔

**It is easiest way to catch your bad request**
![catching error](./docs/images/catchingErrors.png)  
**More [powerful things 💪](./docs/documentation.md)(e.g. auto abortable requests) which can improve your interaction with your requests**  
![query params example](./docs/images/omitCatchesSample.png)  
**Have [very small size](https://bundlephobia.com/result?p=kinka) which can improve site load time**  
<!-- <img src="https://github.com/acacode/kinka/raw/master/docs/images/omitCatchesSample.png"><br> -->
<!-- <img src="https://github.com/acacode/kinka/raw/master/docs/images/queryParams.png"><br> -->

## 📝 License

Licensed under the [MIT License](./LICENSE).
